Subject: Re: FileFallocate misbehaving on XFS

From: Alvaro Herrera <[email-masked]>
Date: Mon, 16 Dec 2024 18:05:59 +0100

On 2024-Dec-16, Robert Haas wrote:

> On Mon, Dec 16, 2024 at 9:12 AM Andres Freund <[email-masked]> wrote:
> > Personally I don't like the obfuscation of "allocate" and "zero" vs just
> > naming the function names. But I guess that's just taste thing.
> >
> > When looking for problems it's considerably more work with bytes, because - at
> > least for me - the large number is hard to compare quickly and to know how
> > aggressively we extended also requires to translate to blocks.
> 
> FWIW, I think that what we report in the error should hew as closely
> to the actual system call as possible. Hence, I agree with your first
> complaint and would prefer to simply see the system calls named, but I
> disagree with your second complaint and would prefer to see the byte
> count.

Maybe we can add errdetail("The system call was FileFallocate( ... %u ...)")
with the number of bytes, and leave the errmsg() mentioning the general
operation being done (allocate, zero, etc) with the number of blocks.

-- 
Álvaro Herrera               48°01'N 7°57'E  —  https://www.EnterpriseDB.com/
"The eagle never lost so much time, as
when he submitted to learn of the crow." (William Blake)